@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Akshar&display=swap');
@import url("./animate.css");

:root {
  --font-family: "Poppins", sans-serif;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 9px 25px;
  font-family: var(--font-family);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
}

.logo {
  text-decoration: none;
  text-transform: uppercase;
  font-family: 'Akshar', sans-serif;
  font-size: 22px;
  color: #eee;
  font-weight: 500;
  letter-spacing: 1.5px;
  transition: all 0.3s ease 0s;
}

.navbar {
  display: flex;
  list-style: none;
  margin-right: auto;
}

.navbar .nav-item {
  margin: 10px;
}

.nav-item a {
  text-transform: uppercase;
  color: #eee;
  font-size: 16px;
  font-weight: 500;
  transition: all 0.3s ease 0s;
}

.logo:hover,
.nav-item a:hover {
  color: #9cbff7;
}

.btn {
  width: 2rem;
  height: 2rem;
  font-size: 16px;
  border: none;
  background: #8f94fb;
  color: #fff;
  border-radius: 50%;
  cursor: pointer;
  transition: all 0.3s ease 0s;
  line-height: 2.2;
}

.btn:hover {
  background: #eee;
  color: #8f94fb;
  -webkit-box-shadow: -10px 0px 13px -7px #000000, 10px 0px 13px -7px #000000,
    5px 5px 15px 5px rgba(0, 0, 0, 0);
  box-shadow: -10px 0px 13px -7px #000000, 10px 0px 13px -7px #000000,
    5px 5px 15px 5px rgba(0, 0, 0, 0);
}

/* .btn:hover > svg {
  transition: all 0.3s ease 0s;
  transform: rotate(360deg);
} */
.menu-btn {
  display: flex;
}
.menu-btn button {
  margin: 10px 5px;
  position: relative;
  display: inline-block;
}

.menu-btn #menu-response {
  display: none;
}

.search-bar {
  position: absolute;
  right: 0;
  margin: 5rem 3rem;
  padding: 10px;
  border-radius: 10px;
  background: rgba(238, 238, 238, 0.734);
}

.search-bar input {
  border-radius: 10px;
  border: none;
  padding: 5px 10px;
}

@media (max-width: 768px) {
  .menu-btn #menu-response {
    display: block;
  }

  nav {
    padding: 9px 15px;
  }

  .navbar.show {
    right: 0;
  }

  .navbar {
    display: block;
    position: absolute;
    top: 100%;
    right: -100%;
    padding: 45px;
    height: 100vh;
    background: linear-gradient(47deg, #8f94fb, #4e54c880);
    text-align: center;
    transition: all 0.5s ease 0s;
  }

  .navbar .nav-item {
    margin: 25px;
  }
}
